% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getPop.R
\name{getPop}
\alias{getPop}
\title{Get population estimate for a single point or polygon}
\usage{
getPop(
  feature,
  country,
  version = NA,
  key = "key.txt",
  verbose = T,
  get_agesexid = F,
  url = "https://api.worldpop.org/v1",
  agesex_select = c(paste0("m", c(0, 1, seq(5, 80, 5))), paste0("f", c(0, 1, seq(5, 80,
    5))))
)
}
\arguments{
\item{feature}{An object of class sf with a point or polygon to calculate population total. If more than one feature are included, only the first feature will be processed.}

\item{country}{The ISO3 country code}

\item{version}{Version number of the population estimate}

\item{key}{Key to increase daily quota for REST API requests}

\item{verbose}{Logical. Toggles on status updates while processing}

\item{get_agesexid}{Logical. Toggle return of numeric age sex id (for woprVision)}

\item{url}{Server url (optional)}

\item{agesex_select}{Character vector of age-sex groups}
}
\value{
A vector of samples from posterior distribution of the population total. If the task times out the function will return the task ID.
}
\description{
Query WOPR using an sf point or polygon to get population estimates as a vector of samples from the Bayesian posterior prediction for that location.
}
